package net;

import java.net.DatagramPacket;
import java.net.InetAddress;


public class AppServerSocket extends Socket{

	public AppServerSocket(Transport transport, int id) {
		super(transport, id);
		transport.addListenerSocket(this);
	}
	public ConnectionInfo receiveRequest(){
		DatagramPacket pacote = null;
		ConnectionInfo ret = null;
		try {
			pacote = super.buffer.take();
		} catch (InterruptedException e) {
			System.out.println(e.getMessage());
		}
		if(pacote != null){
			byte[] temp = pacote.getData();
			int id = ByteOp.byteArrayToInt(new byte[]{temp[4], temp[5], temp[6], temp[7]});
			int porta = ByteOp.byteArrayToInt(new byte[]{temp[8],temp[9], temp[10], temp[11]});
			InetAddress ip = pacote.getAddress();
			ret = new ConnectionInfo(id, ip, porta);
			
		}
		return ret;
	}

}
